Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tnmtpc

ghi số thửa tự động

Các bài được khuyến nghị

(defun c:ghiso(/)

(setq osmode_first (getvar "osmode"))

(setvar "osmode" 0)

(setq chonthua (ssget '((0 . "LWPOLYLINE"))))

(setq i 0)

(repeat (sslength chonthua)

(setq tungdoituong (ssname chonthua i))

(setq tungdoituong (vlax-ename->vla-object tungdoituong))

(setq toado (vlax-get-property tungdoituong 'coordinates))

(setq toado (vlax-safearray->list (variant-value toado)))

(setq j 0)

(setq xtrungbinh 0.00)

(setq ytrungbinh 0.00)

(repeat (/ (length toado) 2)

(setq xtrungbinh (+ xtrungbinh (nth j toado)))

(setq ytrungbinh (+ ytrungbinh (nth (+ j 1) toado)))

(setq j (+ j 2))

)

(setq xtrungbinh (/ xtrungbinh (/ (length toado) 2)))

(setq ytrungbinh (/ ytrungbinh (/ (length toado) 2)))

(command "text" (list xtrungbinh ytrungbinh) "1" "0" (rtos (+ i 1) 2 0))

(setq i (+ i 1))

)

(setvar "osmode" osmode_first)

(princ "http://doanduyhung.googlepages.com/")

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn sự nhiệt tình của Bác doanhuyHung nhưng chương trình chạy không đúng. Yêu cầu chương trình là :nhập lệnh->chọn đối tượng (là các point tâm thửa)->chương trình ghi số thửa theo nguyên tắc :bắt đầu từ phía trên- trái ghi sang bên phải, kết thúc "hàng trên", xuống "hàng dưới", ghi ngược lại (như đường hình sin ấy mà). Khái niệm " hàng" chỉ là tương đối thôi. Vị trí ghi text là các point với J là BC. Các Bác xem file VD thì biết ngay. Còn đây là kết quả chạy lisp của Bác doanhuyhung, mong bác nghiên cứu chỉnh lại giúp. Cám ơn nhiều

http://www.cadviet.com/upfiles/ketqua.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cám ơn bạn doanhuyHung bạn có thể sửa lại theo ý mình được ko.viết một lisp vừa tạo tâm thửa vừa đánh số thứ tự lên dc ko. hoặc tính diện tích rồi ghi lên như vậy.cám ơn....

 

đây là VD

http://www.cadviet.com/upfiles/Drawing1_11.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cám ơn bạn doanhuyHung bạn có thể sửa lại theo ý mình được ko.viết một lisp vừa tạo tâm thửa vừa đánh số thứ tự lên dc ko. hoặc tính diện tích rồi ghi lên như vậy.cám ơn....

 

đây là VD

http://www.cadviet.com/upfiles/Drawing1_11.dwg

Mình cũng đang cần sự giúp đỡ như bạn, nhưng với file ví dụ của bạn thì không ai giúp được gì đâu. Bỡi vì sự liên hệ giữa các text và point (tâm thửa) trên bản vẽ của bạn quá tự do không theo nguyên tắc nào cả. Khi nhờ sự giúp đỡ của người khác, nên cẩn thận bạn ạ! Có như thế họ mới giúp được mình. Mấy dòng góp ý nhân tình.

Hy vọng file dưới đây, ý mình trùng ý bạn. Mong các Pro giúp đỡ

http://www.cadviet.com/upfiles/vd2_1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không có bác nào giúp mình lisp ghi số thửa tự động à, tiếc nhỉ.

Đúng ra, đây là "món nợ" của ssg đối với bạn từ cái "dự án" LCV dang dở! Tham vọng hơi lớn nên bị... tắc, chứ chỉ như thế này thì LCV làm tốt. Ssg sẽ biên tập lại cái LCV, có cả tính năng này. Chỉ có điều là, hãy cho ssg một ít... thời gian!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×